{% extends 'base.html' %}

{% block head %}

<meta name="twitter:card" content="summary">
<meta name="twitter:site" content="@altcensored">
<meta name="twitter:creator" content="@altcensored">

<meta property="og:site_name" content="{{ config['MYSERVER_NAME'] }}">
<meta property="og:url" content="http://{{ config['MYSERVER_NAME'] }} + '/playlist/' + {{ playlist.hashid }} ">

<meta property="og:title" content="Playlist '{{ playlist.title }}' ({{ videocount}} Videos)">
<meta property="og:description" content="{{ playlist.description }} (User '{{ playlist.user.username }}')">

<meta property="og:type" content="article">

{% if playlist.featured_video%}
    <meta property="og:image" content="{{ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/' ~ playlist.featured_video.title | ia_fname ~ '-' ~ playlist.featured_video.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/__ia_thumb.jpg' }}';" >
    <meta property="og:image:secure_url" content="{{ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/' ~ playlist.featured_video.title | ia_fname ~ '-' ~ playlist.featured_video.extractor_data ~ '.jpg' }}"onerror="this.onerror=null;this.src='{{ config.IPROXYBIG ~ config.IARCHIVEURL ~ playlist.featured_video.extractor_data ~ '/__ia_thumb.jpg' }}';" >
{% else %}
    <meta property="og:image" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
    <meta property="og:image:secure_url" content="https://{{ config['MYSERVER_NAME'] }}/logo_clip.png">
{% endif %}


{% endblock %}

{% block content %}

    {% if session.user and session.user.id == playlist.user_id %}
    {% with active_nav='settings' %}
        {% include "widgets/navtabs.html" %}
    {% endwith %}
    {%  else %}
        {% with active_nav='playlist' %}
            {% include "widgets/navtabs.html" %}
        {% endwith %}
    {% endif %}

<br>

{% with playlist=playlist %}
    {% include "widgets/playlist.html" %}
{% endwith %}

{% with video=video, watchlater=watchlater, playlist=playlist %}
    {% include "widgets/videos.html" %}
{% endwith %}

{% if pagination %}
  {% with pagination=pagination %}
      {% include "widgets/pagination.html" %}
  {% endwith %}
{% endif %}

{% endblock %}